Subject: Re: bug#20621: Encrypted files auto-saved in plain text during remote edit

From: Michael Albinus <[email-masked]>
Date: Tue, 26 May 2015 09:42:47 +0200

Nick Helm <[email-masked]> writes:

Hi Nick,

> When using Tramp and EPA to edit an encrypted file on a remote machine, Emacs
> auto-saves the file in unencrypted plain text.

Yes, indeed. Tramp sets unconditionally auto-save-mode to 1, overwriting
existing values. OTOH, epa sets this by default to nil.

This Tramp behaviour is 15 years old; I cannot see why it was
needed. Maybe in some older Emacsen, or XEmacs, only? Anyway, I have
removed it from Tramp. Let's see whether somebody will complain.

I have submitted the patch to both Emacs and Tramp repositories; could
you, please, check?

Thanks for the report, and best regards, Michael.